<?php
namespace App\JsonRpc;
interface CollectorServiceInterface
{
    
    /**
     * @param array $data
     *  @return array
    */
    public function addWeb(array $data):array;
    /**
     * @param array $data
     *  @return array
    */
    public function getWeb(array $data):array;
     /**
     * @param array $data
     *  @return array
    */
    public function upWeb(array $data):array;
    /**
     * @param array $data
     *  @return array
    */
    public function delWeb(array $data):array;
    /**
     * @param array $data
     *  @return array
    */
    public function addRule(array $data):array;
    /**
     * @param array $data
     *  @return array
    */
    public function getRule(array $data):array;
     /**
     * @param array $data
     *  @return array
    */
    public function getOneRule(array $data):array;
    /**
     * @param array $data
     *  @return array
    */
    public function upRule(array $data):array;

     /**
     * @param array $data
     * @return array
     */
    public function sendCrawler(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getInfo(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function getOneInfo(array $data): array;
     /**
     * @param array $data
     * @return array
     */
    public function upInfo(array $data): array;
     /**
     * @param array $data
     * @return array
     */
    public function delInfo(array $data): array;
     /**
     * @param array $data
     * @return array
     */
    public function addCatid(array $data): array;
     /**
     * @param array $data
     * @return array
     */
    public function addArt(array $data): array;
}


